FORMAX DEVELOPER API
  1. Credit Card, Bank Account & Demat Account Lead API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
      POST
    • Create Lead
      POST
    • Lead Status
      POST
    • Lead Payout Callback
  1. Credit Card, Bank Account & Demat Account Lead API

Create Lead

POST
https://api.formaxpay.com/api/lead/create_lead
This API is used to create a new lead for a selected product and generate an SSO redirection link to complete the journey (e.g. account opening / credit card application process).

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/lead/create_lead' \
--header 'Authorization: Basic UVRNRlRKckJjRWt5RnBETGtCSGpkV0dMYnFBclFwbkE6Rm9ybWF4QDEyMw==' \
--header 'Content-Type: application/json' \
--data-raw '{
    "category_id": "2",
    "product_id": "48",
    "name": "EZAZUL HAQUE",
    "pan_number": "AQNPH8107J",
    "mobile": "9836993732",
    "email": "ezazul.haque@formaxit.com",
    "pincode": "700126",
    "loan_amount": 0
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "SUCCESS",
    "data": {
        "link": "https://fpay.ssoaccess.in/api/lead/sso_redirect?authorization=TDAzMjQ3MDcwMzEyNTAwTlRBSUI=",
        "order_id": "L03247070312500NTAIB",
        "timestamp": "2025-12-25 11:1:52"
    }
}
Modified at 2025-12-25 05:35:28
Previous
Fetch All Products
Next
Lead Status
Built with